LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAnyCompare Interface Referencepublished

compares two `any`s. More...

`import"XAnyCompare.idl";`

Inheritance diagram for XAnyCompare:

## Public Member Functions
short | compare ([in] any Any1, [in] any Any2)
| allows comparison of two `any`s. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

compares two `any`s.

## Member Function Documentation

## ◆ compare()

short compare | ( | [in] any | Any1,
|  | [in] any | Any2
| ) |  |

allows comparison of two `any`s.

Parameters

  Any1 | is the first compare value
  Any2 | is the second compare value

Returns
  - `-1`, if the first any is less than the second ( Any1 < Any2 )
  - `0`, if the first any is equal to the second ( Any1 == Any2 )
  - `+1`, if the first any is greater than the second ( Any1 > Any2 )

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XAnyCompare.idl